summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorgoodale <goodale@17b73243-c579-4c4c-a9d2-2d5706c11dac>1999-06-25 12:25:37 +0000
committergoodale <goodale@17b73243-c579-4c4c-a9d2-2d5706c11dac>1999-06-25 12:25:37 +0000
commit65ee3966f6cdf2be2e565f6a10efe66d3b295e7d (patch)
tree64cf0f86a1fec49109f15b5c9355302828cdf82e
parenta16e96a8a4de09f94091fecb985a89e5d6e6da34 (diff)
Merging in of things from Joan's NT version...
Mainly missing header files, plus making names of files in the Bindings dir unique to help debugging. Tom git-svn-id: http://svn.cactuscode.org/flesh/trunk@576 17b73243-c579-4c4c-a9d2-2d5706c11dac
-rw-r--r--lib/sbin/CST14
-rw-r--r--lib/sbin/GridFuncStuff.pl8
-rw-r--r--lib/sbin/create_c_stuff.pl1
-rw-r--r--lib/sbin/schedule_parser.pl5
4 files changed, 17 insertions, 11 deletions
diff --git a/lib/sbin/CST b/lib/sbin/CST
index 3d5826ea..eca85aa7 100644
--- a/lib/sbin/CST
+++ b/lib/sbin/CST
@@ -6,7 +6,7 @@
# @desc
# Parses the the configuration files for thorns.
# @enddesc
-# @version $Header: /mnt/data2/cvs2svn/cvs-repositories/Cactus/lib/sbin/CST,v 1.14 1999-06-24 15:40:09 goodale Exp $
+# @version $Header: /mnt/data2/cvs2svn/cvs-repositories/Cactus/lib/sbin/CST,v 1.15 1999-06-25 12:25:36 goodale Exp $
#@@*/
# Global parameter to track the number of errors from the CST
@@ -669,10 +669,11 @@ sub CreateParameterBindings
}
}
- open (OUT, ">Bindings.c") || die "Cannot open Bindings.c";
+ open (OUT, ">BindingsParameters.c") || die "Cannot open BindingsParameters.c";
print OUT <<EOT;
#include <stdio.h>
+#include <stdlib.h>
#include "config.h"
#include "Misc.h"
@@ -842,7 +843,7 @@ EOT
open (OUT, ">make.code.defn") || die "Cannot open make.code.defn";
- print OUT "SRCS = Bindings.c $files\n";
+ print OUT "SRCS = BindingsParameters.c $files\n";
close OUT;
@@ -1047,11 +1048,14 @@ sub CreateScheduleBindings
&create_RegisterRFR($bindings_dir,scalar(@rfr_files), @rfr_files, %schedule_data);
# Write the contents of BindingsScheduleRegisterSTARTUP.c
+
+ # Joan changes the call to Cactus_Register so it does not send data
&create_RegisterSTARTUP($bindings_dir,split(" ",$startup));
- open (OUT, ">Bindings.c") || die "Cannot open Bindings.c";
+ open (OUT, ">BindingsSchedule.c") || die "Cannot open BindingsSchedule.c";
print OUT <<EOT;
+#include <stdio.h>
int CCTK_BindingsScheduleInitialise(void)
{
@@ -1089,7 +1093,7 @@ EOT
}
}
- print OUT "SRCS = Bindings.c Cactus_RegisterSTARTUP.c Cactus_RegisterRFR.c $files\n";
+ print OUT "SRCS = BindingsSchedule.c Cactus_RegisterSTARTUP.c Cactus_RegisterRFR.c $files\n";
close OUT;
diff --git a/lib/sbin/GridFuncStuff.pl b/lib/sbin/GridFuncStuff.pl
index 1041f897..2d8fc829 100644
--- a/lib/sbin/GridFuncStuff.pl
+++ b/lib/sbin/GridFuncStuff.pl
@@ -84,9 +84,9 @@ sub CreateVariableBindings
}
chdir "Variables";
- open (OUT, ">Bindings.c") || die "Cannot open Bindings.c";
+ open (OUT, ">BindingsVariables.c") || die "Cannot open BindingsVariables.c";
- $filelist = "Bindings.c";
+ $filelist = "BindingsVariables.c";
foreach $thorn (split(" ",$interface_database{"THORNS"}))
{
@@ -109,7 +109,8 @@ sub CreateVariableBindings
foreach $thorn (split(" ",$interface_database{"THORNS"}))
{
open(OUT, ">$thorn.c") || die "Cannot create $thorn.c";
-
+
+ print OUT "\#include \"Groups.h\"\n";
# print OUT "#include \"flesh.h\"\n";
# print OUT "#include \"StoreVariableData.h\"\n\n";
@@ -899,6 +900,7 @@ sub CreateThornGroupInitialisers
local($line);
local(@definitions);
+
$imp = $interface_database{"\U$thorn\E IMPLEMENTS"};
foreach $group (split(" ", $interface_database{"\U$thorn $block GROUPS"}))
diff --git a/lib/sbin/create_c_stuff.pl b/lib/sbin/create_c_stuff.pl
index a2a7085d..aec9e6c2 100644
--- a/lib/sbin/create_c_stuff.pl
+++ b/lib/sbin/create_c_stuff.pl
@@ -51,6 +51,7 @@ sub CreateParameterBindingFile
$line = "\#include \"CParameterStructNames.h\"";
push(@data, $line);
$line = "\#include \"Misc.h\"";
+ push(@data, $line);
$line = "\#include \"ParameterBindings.h\"";
push(@data, $line);
push(@data, "");
diff --git a/lib/sbin/schedule_parser.pl b/lib/sbin/schedule_parser.pl
index eb64892b..51ef67af 100644
--- a/lib/sbin/schedule_parser.pl
+++ b/lib/sbin/schedule_parser.pl
@@ -120,14 +120,13 @@ sub write_startup_header {
local($thorn,$routine,$out) = @_;
# The header for the thorn STARTUP routine
-
print OUTSTART "#define THORN_IS_$thorn\n";
print OUTSTART "#include \"cctk.h\"\n";
print OUTSTART "#include \"flesh.h\"\n";
print OUTSTART "#include \"rfr_constants.h\"\n";
print OUTSTART "#include \"declare_parameters.h\"\n";
print OUTSTART "\n";
- print OUTSTART "void $routine (void *data)\n";
+ print OUTSTART "void $routine ()\n";
print OUTSTART "{\n";
print OUTSTART " DECLARE_PARAMETERS\n";
print OUTSTART "\n";
@@ -214,7 +213,7 @@ sub create_RegisterSTARTUP
print OUT <<EOT;
- void Cactus_RegisterSTARTUP()
+ int Cactus_RegisterSTARTUP()
{
$startup_calls
}